Subject: [Trans] draft-ietf-trans-rfc6962-bis-33: base URL vs <log server>

From: "Manger, James" <[email-masked]>
Date: Fri, 20 Sep 2019 02:17:25 +0000

Editorial suggestions for draft-ietf-trans-rfc6962-bis.

Section 4.1 defines "base URL", but section 5 uses "<log server>". One term should be used.

Section 5 has lines such as:
  https://<log server>/ct/v2/submit-entry
That makes it look like <log server> is a domain name. Its not quite obvious enough that it can include a path as well. The "https://" portion is part of "base URL"/"<log server>".

Suggestion:
 
In section 4.1:

  Base URL: The prefix used to construct URLs for requests. The base URL MUST be an "https" URL. It MAY contain a port. It MAY contain a path with any number of segments. It MUST NOT contain a query string, nor a fragment. A base URL with or without a trailing "/" MUST be treated as equivalent. That is, constructing a URL for a request always involved appending a path component that starts with a "/" so any trailing "/" in the base URL MUST be dropped. Example: "https://ct.example.org/blue".

In section 5:

Replace "log server" with "base URL" in a few places.

Drop the sentence saying "MAY include a path as well as a server name" as it should be in section 4.1 with the definition of base URL (as above).

In sections 5.1, 5.2, 5.3, 5.4, 5.5, 5.6, 5.7:

Replace "https://<log server>/ct/v2/" with "<base URL>/ct/v2/"

--
James Manger

---

From: Rob Stradling <[email-masked]>
Date: Tue, 24 Sep 2019 10:20:46 +0000

[Chairs: Given the stage we're at with this document, please could I ask 
you to confirm whether or not we may adopt James's editorial suggestions?]

> Editorial suggestions for draft-ietf-trans-rfc6962-bis.

James: Thanks!  I think your editorial suggestions add clarity.

Here's a PR:
https://github.com/google/certificate-transparency-rfcs/pull/313

<snip>
>    Base URL: ... A base URL with or without a trailing "/" MUST be treated as equivalent. That is, constructing a URL for a request always involved appending a path component that starts with a "/" so any trailing "/" in the base URL MUST be dropped.

In the PR, I've simplified this to:

MUST NOT contain a ... trailing "/"

-- 
Rob Stradling
Senior Research & Development Scientist
Sectigo Limited

---

From: Andrew Ayer <[email-masked]>
Date: Tue, 24 Sep 2019 14:15:20 -0400

On Tue, 24 Sep 2019 10:20:46 +0000
Rob Stradling <[email-masked]> wrote:

> [Chairs: Given the stage we're at with this document, please could I
> ask you to confirm whether or not we may adopt James's editorial
> suggestions?]
> 

This is a good change.  With RFC6962, some implementations include
"https://" when addressing logs and others don't.  This change
makes clear that "https://" should be included.

Regards,
Andrew